libcoap 4.3.2rc2

Typedefs
coap_forward_decls.h File Reference

CoAP forward definitions. More...

Go to the source code of this file.

## Typedefs
typedef struct coap_address_t | coap_address_t
typedef struct coap_async_t | coap_async_t
| Async Entry information. More...
typedef struct coap_lg_xmit_t | coap_lg_xmit_t
typedef struct coap_lg_crcv_t | coap_lg_crcv_t
typedef struct coap_lg_srcv_t | coap_lg_srcv_t
typedef struct coap_cache_entry_t | coap_cache_entry_t
typedef struct coap_cache_key_t | coap_cache_key_t
typedef struct coap_packet_t | coap_packet_t
| coap_socket_t and coap_packet_t information. More...
typedef struct coap_socket_t | coap_socket_t
typedef struct coap_context_t | coap_context_t
typedef struct coap_queue_t | coap_queue_t
typedef struct coap_oscore_conf_t | coap_oscore_conf_t
typedef struct coap_pdu_t | coap_pdu_t
| PDU information. More...
typedef struct coap_attr_t | coap_attr_t
typedef struct coap_resource_t | coap_resource_t
typedef struct coap_addr_hash_t | coap_addr_hash_t
typedef struct coap_endpoint_t | coap_endpoint_t
typedef struct coap_session_t | coap_session_t
typedef struct coap_subscription_t | coap_subscription_t

## Detailed Description

CoAP forward definitions.

Definition in file coap_forward_decls.h.

## Typedef Documentation

## ◆ coap_addr_hash_t

typedef struct coap_addr_hash_t coap_addr_hash_t

Definition at line 105 of file coap_forward_decls.h.

## ◆ coap_address_t

typedef struct coap_address_t coap_address_t

Definition at line 32 of file coap_forward_decls.h.

## ◆ coap_async_t

typedef struct coap_async_t coap_async_t

Async Entry information.

Definition at line 43 of file coap_forward_decls.h.

## ◆ coap_attr_t

typedef struct coap_attr_t coap_attr_t

Definition at line 97 of file coap_forward_decls.h.

## ◆ coap_cache_entry_t

typedef struct coap_cache_entry_t coap_cache_entry_t

Definition at line 59 of file coap_forward_decls.h.

## ◆ coap_cache_key_t

typedef struct coap_cache_key_t coap_cache_key_t

Definition at line 60 of file coap_forward_decls.h.

## ◆ coap_context_t

typedef struct coap_context_t coap_context_t

Definition at line 75 of file coap_forward_decls.h.

## ◆ coap_endpoint_t

typedef struct coap_endpoint_t coap_endpoint_t

Definition at line 106 of file coap_forward_decls.h.

## ◆ coap_lg_crcv_t

typedef struct coap_lg_crcv_t coap_lg_crcv_t

Definition at line 51 of file coap_forward_decls.h.

## ◆ coap_lg_srcv_t

typedef struct coap_lg_srcv_t coap_lg_srcv_t

Definition at line 52 of file coap_forward_decls.h.

## ◆ coap_lg_xmit_t

typedef struct coap_lg_xmit_t coap_lg_xmit_t

Definition at line 50 of file coap_forward_decls.h.

## ◆ coap_oscore_conf_t

typedef struct coap_oscore_conf_t coap_oscore_conf_t

Definition at line 83 of file coap_forward_decls.h.

## ◆ coap_packet_t

typedef struct coap_packet_t coap_packet_t

coap_socket_t and coap_packet_t information.

Definition at line 67 of file coap_forward_decls.h.

## ◆ coap_pdu_t

typedef struct coap_pdu_t coap_pdu_t

PDU information.

Definition at line 90 of file coap_forward_decls.h.

## ◆ coap_queue_t

typedef struct coap_queue_t coap_queue_t

Definition at line 76 of file coap_forward_decls.h.

## ◆ coap_resource_t

typedef struct coap_resource_t coap_resource_t

Definition at line 98 of file coap_forward_decls.h.

## ◆ coap_session_t

typedef struct coap_session_t coap_session_t

Definition at line 107 of file coap_forward_decls.h.

## ◆ coap_socket_t

typedef struct coap_socket_t coap_socket_t

Definition at line 68 of file coap_forward_decls.h.

## ◆ coap_subscription_t

typedef struct coap_subscription_t coap_subscription_t

Definition at line 114 of file coap_forward_decls.h.